using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using UniversityContracts.BindingModels;
using UniversityContracts.SearchModels;
using UniversityContracts.ViewModels;

namespace UniversityContracts.BusinessLogicContracts
{
    public interface IRoleLogic
    {
        List<RoleViewModel>? ReadList(RoleSearchModel? model);
        RoleViewModel? ReadElement(RoleSearchModel model);
        bool Create(RoleBindingModel model);
        bool Update(RoleBindingModel model);
        bool Delete(RoleBindingModel model);
    }
}
